function [ expectedSpeed, xSample, ySample ] = GibbsSampling(iterations)

% ============================================================================
% DESCRIPTION
%
% usage: [ expectedSpeed, xSample, ySample ] = GibbsSampling(iterations)
%
% Performs Gibbs sampling
%
% ----------------------------------------------------------------------------
% PARAMETERS
%
% iterations                  number of iterations
% 
% ----------------------------------------------------------------------------
% RETURN VALUES
%
% expectedSpeed              expected speed of pedestrians
% xSample                    sample representing pedestrian speeds
% ySample                    sample representing pedestrian sensitivity to congestion
%
% ============================================================================


%
% Implement your own solution here.
%